package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.broker.entity.BrokerRecord;
import com.ycwl.basic.model.pc.broker.req.BrokerRecordReqQuery;
import com.ycwl.basic.model.pc.broker.resp.BrokerRecordRespVO;
import com.ycwl.basic.model.pc.broker.resp.DailySummaryRespVO;

import java.util.Date;
import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/12 10:00
 */
public interface BrokerRecordService {
    PageInfo<BrokerRecordRespVO> pageQuery(BrokerRecordReqQuery brokerRecordReqQuery);

    List<BrokerRecordRespVO> list(BrokerRecordReqQuery brokerRecordReqQuery);

    BrokerRecordRespVO getById(Long id);

    int add(BrokerRecord brokerRecord);

    int delete(Long id);

    int update(BrokerRecord brokerRecord);

    List<DailySummaryRespVO> getDailySummaryByBrokerId(Long brokerId, Date startTime, Date endTime);
}